import {NgModule} from '@angular/core';
import {PreloadAllModules, RouterModule, Routes} from '@angular/router';
import {TabsPage} from "./tabs/tabs.page";
import {LoginPage} from "./tabs/login/login.page";
import {ActivityListPage} from "./pages/home-pages/activity/activityList/activityList";
import {ActivityDetailPage} from "./pages/home-pages/activity/activityDetail/activityDetail";
import {ActivityApplyPage} from "./pages/home-pages/activity/activityApply/activityApply";
import {ActivityConfirmPage} from "./pages/home-pages/activity/activityConfirm/activityConfirm";
import {BatchDetailPage} from "./pages/home-pages/activity/batch-detail/batch-detail";
import {OrderDetailPage} from "./pages/home-pages/activity/order-detail/order-detail";
import {OrderEditPage} from "./pages/home-pages/activity/order-edit/order-edit";

const routes: Routes = [
    {
        path: 'tabs',
        component: TabsPage,
        children: [
            {path: 'home', children: [{path: '', loadChildren: './tabs/home/home.module#HomePageModule'}]},
            {
                path: 'discover',
                children: [{path: '', loadChildren: './tabs/discover/discover.module#DiscoverPageModule'}]
            },
            {
                path: 'serve', children: [
                    {path: '', loadChildren: './tabs/serve/serve.module#ServePageModule'},
                    {
                        path: 'activity', children: [
                            {path: 'activityList', component: ActivityListPage},
                            {path: 'activityDetail', component: ActivityDetailPage},
                            {path: 'activityApply', component: ActivityApplyPage},
                            {path: 'activityConfirm', component: ActivityConfirmPage},
                            {path: 'batchDetail', component: BatchDetailPage},
                            {path: 'orderDetail', component: OrderDetailPage},
                            {path: 'orderEdit', component: OrderEditPage},
                        ]
                    },
                ]
            },
            {path: 'mine', children: [{path: '', loadChildren: './tabs/mine/mine.module#MinePageModule'}]},
            {path: '', redirectTo: '/tabs/home', pathMatch: 'full'}
        ]
    },
    {
        path: 'login', component: LoginPage,
    },
    {
        path: '',
        redirectTo: '/tabs/home',
        pathMatch: 'full'
    },
];

@NgModule({
    imports: [
        RouterModule.forRoot(routes, {preloadingStrategy: PreloadAllModules})
    ],
    exports: [RouterModule]
})
export class AppRoutingModule {
}
