import {IonicModule} from '@ionic/angular';
import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {HomePageModule} from "./tabs/home/home.module";
import {DiscoverPageModule} from "./tabs/discover/discover.module";
import {ServePageModule} from "./tabs/serve/serve.module";
import {MinePageModule} from "./tabs/mine/mine.module";
import {TabsPageModule} from "./tabs/tabs.module";
import {TabsService} from "./tabs/tabs.service";
import {AppService} from "../http/http.service";
import {HttpClientModule} from "@angular/common/http";
import {HttpModule} from "@angular/http";
import {LoginPageModule} from "./tabs/login/login.module";
import {ActivityApplyModule} from "./pages/home-pages/activity/activityApply/activityApply.module";
import {ActivityConfirmModule} from "./pages/home-pages/activity/activityConfirm/activityConfirm.module";
import {ActivityDetailModule} from "./pages/home-pages/activity/activityDetail/activityDetail.module";
import {ActivityListModule} from "./pages/home-pages/activity/activityList/activityList.module";
import {BatchDetailModule} from "./pages/home-pages/activity/batch-detail/batch-detail.module";
import {OrderDetailModule} from "./pages/home-pages/activity/order-detail/order-detail.module";
import {OrderEditModule} from "./pages/home-pages/activity/order-edit/order-edit.module";


@NgModule({
    imports: [
        LoginPageModule,
        TabsPageModule,
        HomePageModule,
        DiscoverPageModule,
        ServePageModule,
        MinePageModule,
        ActivityApplyModule,
        ActivityConfirmModule,
        ActivityDetailModule,
        ActivityListModule,
        BatchDetailModule,
        OrderDetailModule,
        OrderEditModule,
        IonicModule,
        CommonModule,
        FormsModule,
        HttpClientModule,
        HttpModule
    ],
    providers: [
        TabsService,
        AppService,
    ],
    declarations: []
})
export class AppMainModule {
}
