import { Component } from '@angular/core';
import {Router,ActivatedRoute} from "@angular/router";

import { Http,Response } from '@angular/http';
import {ActivityDetailPage} from "../activityDetail/activityDetail";
import {AppService} from "../../../../../http/http.service";
import {TabsService} from "../../../../tabs/tabs.service";
import {CommonService} from "../../../../../provide/common.service";

@Component({
  selector: 'page-activityList',
  templateUrl: 'activityList.html',
})
export class ActivityListPage {

  items = [];


  activityType:Array<String> = ['未知','体检','疗休养','培训','工会活动'];
  constructor(public router: Router,
    public routeIinfo: ActivatedRoute,
   public commonSer:CommonService,
    public http: Http,public tabSer:TabsService,
    public appService: AppService) {
      
  } 


  //初始化显示活动列表
  ionViewDidEnter(): void {
    this.getActivityList();
    this.addRecodings();
  }

  getActivityList(){   
   

    this.appService.ObserverHttpPost("/wisdomgroup/modules/activity/findAllActivityForAppWithUsergroup",null)

    .subscribe((res: Response) => {
      let data = res.json();
        this.items =data;
      }, error => {        
      }   
    );
  }

  //查看详情
  goDetail(item){
    let id = item.id;
    // this.navCtrl.push("ActivityDetailPage",{id:id});
  }

  doRefresh(refresher) {
    setTimeout(() => {
      this.getActivityList();
      refresher.complete();
    }, 2000);
  }

  goBack(){
    // this.navCtrl.popToRoot();
  }

  //增加阅读记录
  addRecodings(){
    this.tabSer.activityAddRecodings().subscribe(
        (res)=>{
          this.commonSer.log("活动：增加阅读记录成功")
        }
    )
  }

}
