import {Component, ViewChild} from '@angular/core';
import {Response} from "@angular/http";
import {Router,ActivatedRoute} from "@angular/router";
import { DomSanitizer } from "@angular/platform-browser";
import {ActivityConfirmPage} from "../activityConfirm/activityConfirm";
import {AppService} from "../../../../../http/http.service";
import {CommonService} from "../../../../../provide/common.service";

declare var Swiper;
@Component({
  selector: 'page-batch-detail',
  templateUrl: 'batch-detail.html',
})
export class BatchDetailPage {
    // @ViewChild('contentSlides') contentSlides: Slides;
    batch={
        batchEndDate:'',
        signUp:true,
        order:null,
        batchName:'',
        batchNotice:null,
        batchGoDate:null,
        batchPerNumber:null,
        batchSetTime:null,
        batchSetAddress:null,
        hasSignUpCount:null,
        batchLimitNumber:null,
    };
    activity;
    order = {
        orderid:''
    };
    swiper;
    swiperIndex = 0;
  constructor(public router: Router, public routeInfo: ActivatedRoute,private commonSer:CommonService,
              public appService:AppService, public sanitizer:DomSanitizer) {
  }

  ionViewDidLoad() {
      this.routeInfo.queryParams.subscribe(queryParams=>{
          this.batch = queryParams.batch;
          let con = this.batch.batchNotice.replace(/\r?\n/g, "<br />");
          this.batch.batchNotice = this.sanitizer.bypassSecurityTrustHtml(con);
          if( this.batch.order ){
              this.order = this.batch.order;
          }

      })
  }

  initSwiper(){
      this.swiper = new Swiper('.pageMenuSlides .swiper-container', {
          //设置slider容器能够同时显示的slides数量(
          slidesPreView: 3,
          //slide之间的距离（单位px）
          spaceBetween: 0,
          //断点设定：根据屏幕宽度设置某参数为不同的值
          breakpoints: {
              1024: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              768: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              640: {
                  slidesPerView: 3,
                  spaceBetween: 0
              },
              320: {
                  slidesPerView: 3,
                  spaceBetween: 0
              }
          }
      });
  }

    selectPageMenu(index) {
        this.swiperIndex = index;
        //切换页面
        // this.contentSlides.slideTo(index);
    }

    setStyle(index) {

    }

    slideChanged() {
        //getActiveIndex()获得当前页面的index
        // let index = this.contentSlides.getActiveIndex();
        // this.setStyle(index);
        //s切换菜单
        // this.swiper.slideTo(index, 300);

    }

    //立即报名
    goApply(){
      // this.navCtrl.push('ActivityApplyPage',{
      //     activity:this.activity,
      //     item:this.batch
      // });
    }

    //取消报名（订单）
    sureCancelOrder(): void {
        this.commonSer.alert('确定取消报名么？', res => {
            this.cancelOrder();
        });
    }

    //订单确认
    reelectBatch(): void {
        this.appService.ObserverHttpPost("/wisdomgroup/modules/order/findMyOrderByOrderId", {"orderid": this.order.orderid})
            .subscribe((res: Response) => {
                    let data = res.json();
                    // this.navCtrl.push('ActivityConfirmPage',{activity:data.activity,order:data});
                }, error => {
                }
            );
    }

    cancelOrder(): void {
      const data = {
          'id':this.batch.order.orderid +','
      }
        this.appService.ObserverHttpGetOption("/wisdomgroup/modules/order/deleteOrder", data)
            .subscribe((res: Response) => {
                    //let data = res.json();
                    this.commonSer.alert('报名已取消！');
                    // this.navCtrl.pop();
                }, error => {
                }
            );

    }

}
