import {Component} from '@angular/core';
import {Response} from "@angular/http";
import {DomSanitizer} from "@angular/platform-browser";
import {AppService} from "../../../../../http/http.service";
import {Router,ActivatedRoute} from "@angular/router";
import {CommonService} from "../../../../../provide/common.service";

@Component({
    selector: 'page-order-detail',
    templateUrl: 'order-detail.html',
})
export class OrderDetailPage {
    order = {
        orderstate: '',
        orderpjlevel: '',
        orderid:'',
        personnumber:null,
        orderbz:null,
    };  //订单信息
    activity = {
        activityName: '',
        activityIntro: ''
    };    //活动
    batch = {
        batchNotice:<any>'',
        batchEndDate:null,
        batchGoDate:null,
        batchSetTime:null,
        batchSetAddress:null,
        liamand:null,
        liamantel:null,
        batchName:null,
        hasSignUpCount:null,
        batchLimitNumber:null,
    };    //批次

    isCover = false;
    isIntroduce = false;

    constructor(public router: Router, public routeInfo: ActivatedRoute,
                private commonSer:CommonService,
                public appService: AppService ,public sanitizer: DomSanitizer) {
    }

    ionViewDidEnter() {
        this.routeInfo.queryParams.subscribe(queryParams=>{
            this.order = queryParams.item;
            this.activity = queryParams.item.activity;
            this.batch = queryParams.item.batch
            let con = this.batch.batchNotice.replace(/\r?\n/g, "<br />");
            this.batch.batchNotice = this.sanitizer.bypassSecurityTrustHtml(con);
        })
    }

    //取消报名（订单）
    sureCancelOrder(): void {
        this.commonSer.alert('确定取消报名么？', res => {
            this.cancelOrder();
        });
    }

    cancelOrder(): void {
        this.appService.ObserverHttpGetOption("/wisdomgroup/modules/order/deleteOrder", { "id": this.order.orderid })
            .subscribe((res: Response) => {
                    this.commonSer.alert('报名已取消！');
                    // this.navCtrl.pop();
                }, error => {
                }
            );

    }

    //订单确认
    orderConform(){
        // this.navCtrl.push('ActivityConfirmPage',{activity:this.activity,order:this.order});
    }

    hidden() {
        this.isCover = false;
        this.isIntroduce = false;
    }

    show() {
        this.isCover = true;
        this.isIntroduce = true;
    }

}
