import {Injectable} from "@angular/core";
import {NavigationEnd, Router} from "@angular/router";
import {Platform} from "@ionic/angular";
import {filter} from "rxjs/operators";

@Injectable({
    providedIn:'root'
})

export class TabsCore {
    private hideTabBarPages: String[] = [
        'activityList','activityDetail','activityApply','activityConfirm',
        'batchDetail','orderDetail','orderEdit'
    ]
    constructor(private router:Router,private platform:Platform){
        this.platform.ready().then(()=>{
            this.navEvent();
        })
    }

    private hideTabs(){
        const tabBar = document.getElementById('myTabBar');
        if(tabBar.style.display !== 'none') tabBar.style.display = 'none';
    }

    private showTabs(){
        const tabBar = document.getElementById('myTabBar');
        if(tabBar.style.display !== 'flex') tabBar.style.display = 'flex';
    }

    navEvent(){
        this.router.events.pipe(filter(e=> e instanceof NavigationEnd))
            .subscribe((e:any)=>{
                this.showHideTabs(e)
            })
    }

    private showHideTabs(e: any) {
        const urlArray = e.url.split('/');

        const pageUrl = urlArray[urlArray.length - 1];

        const page = pageUrl.split('?')[0];

        const shouldHide = this.hideTabBarPages.indexOf(page) > -1;

        try {
            setTimeout(() => shouldHide ? this.hideTabs() : this.showTabs(), 300);
        } catch (err) {

        }
    }
}